package gp;

/**
 * Created by IntelliJ IDEA.
 * User: julian
 * Date: Feb 8, 2007
 * Time: 1:21:41 AM
 */
public class Input extends Terminal {

    private int whichInput;

    public Input (Base base, Integer treeId) {
        mutate (base);
    }

    public Input (int which) {
        this.whichInput = which;
    }

    public void mutate(Base base) {
        whichInput = (int) (Math.random () * base.numberOfInputs ());    
    }

    public Node copy() {
        return new Input (whichInput);
    }

    public double value(Base base) {
        return base.valueOfInput (whichInput);
    }

    public String toString () {
        return "in" + whichInput;
    }
}
