package simplerace;

/**
 * Created by IntelliJ IDEA.
 * User: jtogel
 * Date: 10-Oct-2006
 * Time: 17:56:36
 */

public interface Track {

    public void reset ();

    public void setFirstVehicle (Vehicle vehicle, boolean reposition);

    public void setSecondVehicle (Vehicle vehicle, boolean reposition);

    public void update ();

    public SensorModel getFirstSensorModel ();

    public SensorModel getSecondSensorModel ();

    public Vector2d[] getAllWaypointsInOrder ();

    public double getFirstFitness ();

    public double getSecondFitness ();
    
    public int getWidth ();

    public int getHeight ();

    public Track copy ();

}
