package gp;

/**
 * Created by IntelliJ IDEA.
 * User: julian
 * Date: Feb 9, 2007
 * Time: 6:04:02 PM
 */
public class ADFCall extends Terminal {

    private int whichADF;
    private final int treeId;

    public ADFCall (Base base, Integer treeId) {
        this.treeId = treeId;
        mutate (base);
    }

    public ADFCall (int whichADF, int treeId) {
        this.whichADF = whichADF;
        this.treeId = treeId;
    }

    public void mutate(Base base) {
        whichADF = base.getADF (treeId);
    }

    public Node copy() {
        return new ADFCall (whichADF, treeId);
    }

    public double value(Base base) {
        if (whichADF >= 0) {
            return base.valueOfADF (whichADF);
        }
        else {
            throw new RuntimeException ("Trying to access adf " + whichADF);
        }
    }

    public String toString () {
        return "adf" + whichADF;
    }
}
