package gp;

/**
 * Created by IntelliJ IDEA.
 * User: julian
 * Date: Feb 8, 2007
 * Time: 1:13:04 AM
 */
public class Constant extends Terminal {

    private double value;

    public Constant (Base base, Integer treeId) {
        value = Math.random ();
    }

    public Constant (double value) {
        this.value = value;
    }

    public void mutate(Base base) {
        value =  value + base.gaussian ();
    }

    public Node copy() {
        return new Constant (value);
    }

    public double value(Base base) {
        return value;
    }

    public String toString () {
        return "" + value;       
    }
}
